#!/usr/bin/perl

do "./_login-b.pl";
#do "./_istutor-b.pl";
do "./_ischieftutor-b.pl";

# get webquiz file location
do "./_parsesubjects.pl";

# recover $unitName from $unitShortName
$unitName=param('unitname');
$unitShortName=param('unitshortname');
for $key (keys %unitmap) {
    if($unitmap{$key} eq $unitShortName) {
	$unitName=$key;
	last;
    }
}

#$unitName=param('unitname');
$unitShortName=$unitmap{ $unitName };
$quizhome=$quizdirmap{$unitName};
$filename="$quizhome/${unitShortName}_access.txt";


use POSIX qw(strftime);

sub updateFile {
my($filename,$mode)=@_;
  if($mode ne 'update') { return 1; }
  if(!open(OUTPUT,">$filename")) { return 3; }
  flock(OUTPUT,2);  #2=LOCK_EX
  my $content=param('content');
  $content=~ s/$cr//g;
  print OUTPUT $content;
  flock(OUTPUT,8);  #8=LOCK_UN
  close(OUTPUT);
  chmod 0600, $filename;
  return 0;
}


sub readFile {
my($filename)=@_;
my($notread,$timestamps,$content,$aline);
if(open(INPUTDATA,"<$filename")) {
    while(<INPUTDATA>) {
	$aline="$_";
	if($aline=~ /^\s*(#.*)$/) {
	    if($aline=~ /not read/) {
		$notread=1;
	    } else {
		$timestamps .= $aline;
	    }
	} elsif($aline=~ /^\s*$/) {
	    next;
	} else {
            $content.=$aline;
	    while(<INPUTDATA>) {
		$content.="$_";
	    }
	}
    }
    close(INPUTDATA);
    return ($notread,$timestamps,$content);
}

   return (0, "", "");
}


$mode=param('mode');
$fileUpdated=! updateFile($filename, $mode);
$submiturl=url();

# html header
print "Content-type: text/html\n\n";
print "<html><head><title>Read File</title></head>\n";
print '<body bgcolor="#ffffff" text="#000000" link="#0000ff" alink="#999999" vlink="#999999">', "\n\n";

print <<EOF_STYLE
<UL><!UL>&nbsp;

<table cellspacing=13 cellpadding=13 bgcolor=#0066aa>
<tr><td align=center><font face="Arial, Helvetica, sans-serif" color=white size=+3>
<B>EDIT QUIZ CONTROL ($unitShortName)</B>
</font></td></tr></table>

<pre>
Format: SESSION *[,KEY] [# [view solutions] [repeat session] ]
- * : makes the session accessible
- KEY: password used as the key
- view solution: solution will be displayed after the quiz
- repeat session: quiz can be repeated
</pre>
EOF_STYLE
    ;


($notread,$timestamps,$content)=readFile($filename);

print "<P><FORM Method=post name=EDITFILE action=\"$submiturl\">\n";
print "<input name=mode type=hidden value='update'>\n";
print "<p><TEXTAREA Name=\"content\" Rows=18 Cols=60 wrap=\"off\">$timestamps\n$content</TEXTAREA>\n";
print "<p><input type=button onclick='reset();' title='reset text to previous state' value='reset'>";
print "<input type=button name=update title='save the content' onclick='submit();' ";
	 if($fileUpdated && $mode eq 'update') {
	     print "value='file now updated'>\n";
	 }
	 else { print " value='update file'>\n"; }
print "</form>";

	 print "\n<script>setTimeout(\"document.EDITFILE.update.value='update file';\",3000);</script>\n";
