#!/usr/bin/perl

# solutions pages are set to users-accessible only
# images in solution pages still need to readable to all

do "./_login-b.pl";
do "./_istutor-b.pl";


#####  user configuration #####
# where are the websites located?
#
%unitDirMapping=(
'VNS' => "vns2011",
'DDD' => 'ddd2011'
);


#use CGI qw(:standard);
$file=param('file');
$loginid=cookie(-name=>'loginid');
$unitShortName=cookie(-name=>'unitshortname');
$unitDir=$unitDirMapping{$unitShortName};
$submitURL=url();


# safty check to bar dirty trick users
if( ! ($file =~ /^[\#a-zA-Z0-9_@\-\.\x2f\s:\x5c]*$/)
   || ($file =~ /^\s*$/)
   || ($file eq "") || !($file =~ /^\d*$/)) {
  print "Content-type: text/html\n\n";
  print "<head><script>location=\"${webhomesite}/${unitDir}/schedule.html?x\";</script></head>\n";
  print "Bad filename: \"$file\"\n";
  exit 0;
}


sub catFile {
my($file)=@_;
my $length;
my $data;
  if(open(INPUTFILE, "<$file")) {
    binmode INPUTFILE;
    while(1) {
      $length=read(INPUTFILE,$data,1024);
      if($length >0 ) {
	print $data;
      } else {
	last;
      }
    }
    close(INPUTFILE);
  }
}


# where are the solution pages
$solutionpage="$webhomedir/${unitDir}/solutions/t${file}sol.pdf";
$savedfile="t${file}sol.pdf";

if (-r $solutionpage) {
#   print "content-type: application/octet-stream\nContent-Disposition: inline; filename=\"${savedfile}\"\n\n";

# modified to work on IE9
   print "content-type: application/pdf\nContent-Disposition: inline; filename=\"${savedfile}\"\n\n";
   catFile($solutionpage);
} else {
    print "Content-type: text/html\n\n";
    print "<head><title>$unitShortName - file not found</title><head>\n";
    print "File for [$savedfile] not found!\n";
}

