#!/usr/bin/perl

do "./_login-b.pl";
do "./_istutor-b.pl";

# load main configuration if not already loaded
if(!$CONFIG_LOADED) {
    do "./_conf-b.rc";
}

$loginid=$cgi->cookie(-name=>'loginid');
$unitshortname=$cgi->cookie(-name=>'unitshortname');

# all those enrolled for the unit
$studentNamelist="${baseDirectory}/${unitshortname}_namelist.txt";


# display the title of the page
print "content-type:text/html\n\n";
print <<EOF_TITLE

<HTML>
<HEAD><TITLE>$unitshortname - enrolled students</TITLE>
</HEAD>

<BODY>
<UL><!UL>

<table><tr><td bgcolor=#0066aa>
<table cellspacing=13 cellpadding=13 bgcolor=#0066aa>
<tr><td align=center><font face="Arial, Helvetica, sans-serif" color=white size=+3>
<B>ENROLLED IN THE UNIT ($unitshortname)</B>
</font></td></tr></table>
</td></tr>
</table>

<pre style="background:#ffffff;" >
EOF_TITLE
    ;


# count student names according to campuses;
# first collect all campus names from the namelist of the format
# provided by the PlatformWeb
%totals=();
if(open(INPUT, "<$studentNamelist")) {
    while(<INPUT>) {
	$a=$_;
	if($a=~ /^[^\t]+\t[^\t]+\t[^\t]*\t[^\t]*\t(\S+)\t/) {
	    $key="$1";
	    $last=eval($totals{$key});
	    $last++;
	    $totals{$key}=$last;
	}
    }
    close(INPUT);
}

print "<pre>\n";
print "### ", `date`, "\n";
print "### Total Number of Students by Campuses ###\n";
print "### Campus=", $totals{'Campus'}, "\n";
foreach $key (sort keys %totals) {
    if($key ne "Campus") {
	print "### $key=", $totals{$key}, "\n";
    }
}
print "</pre>\n";


# display the student name list
if(open(INPUT, "<$studentNamelist")) {
    while(<INPUT>) {
	print;
    }
    close(INPUT);
}
print "\n</pre>\n";
