#!/usr/bin/perl
# need support/idFilter.pl
# list students who are not enrolled in any tut class

do "./_login-b.pl";
do "./_istutor-b.pl";

# where to find the support scripts
$supportdir="support";

# load main configuration if not already loaded
if(!$CONFIG_LOADED) {
    do "./_conf-b.rc";
}

$loginid=$cgi->cookie(-name=>'loginid');
$unitshortname=$cgi->cookie(-name=>'unitshortname');

# all those enrolled for the unit
$studentNamelist="${baseDirectory}/${unitshortname}_namelist.txt";
$tutClass="${baseDirectory}/${unitshortname}_tuts_reg.txt";
$filter="${supportdir}/idFilter.pl";


print "content-type:text/html\n\n";

print <<EOF_TITLE

<HTML>
<HEAD><TITLE>$unitshortname - not enrolled in tuts</TITLE>
</HEAD>

<BODY>
<UL><!UL>

<table><tr><td bgcolor=#0066aa>
<table cellspacing=13 cellpadding=13 bgcolor=#0066aa>
<tr><td align=center><font face="Arial, Helvetica, sans-serif" color=white size=+3>
<B>STUDENTS NOT IN TUTS ($unitshortname)</B>
</font></td></tr></table>
</td></tr>
</table>

<pre style="background:#ffffff;" >
EOF_TITLE
    ;


if(-e $studentNamelist && -f $studentNamelist && -r $studentNamelist) {

if(open(INPUT, "$filter -r $tutClass<$studentNamelist|")) {
    while(<INPUT>) {
	print;
    }
    close(INPUT);
}

} else {

    print "Lecture class list not available.";
}
