$passfile="../../PF_password.txt";
$tutfile="../../PF_tuts_reg.txt";
$sourcedir="assign1a";
$targetdir="assign1b";

if($#ARGV < 3) {
  print "useage:  $0 passwordfile $tutfile sourcedir targetdir\n";
  print "  eg.    $0 $passfile $tutfile  $sourcedir $targetdir\n";
  exit;
}

$passfile=$ARGV[0];
$tutfile=$ARGV[1];
$sourcedir=$ARGV[2];
$targetdir=$ARGV[3];

print STDERR "DOING $0 $passfile $tutfile $sourcedir $targetdir\n";


%name2id=();
%id2name=();
%tutname=();
%id2tut=();
%id2notut=();

if(open(PASSFILE,"<$passfile")) {
    while(<PASSFILE>) {
	$aline="$_";
	if($aline=~ /^([^,]*),[^,]*,([^,]*),/) {
	    $id="$1";
	    $user="$2";
	    $name2id{$user}=$id;
	    $id2name{$id}=$user;
	}
    }
    close(PASSFILE);
}

if(open(TUTFILE, "<$tutfile")) {
    while(<TUTFILE>) {
	$aline="$_";
	if($aline=~ /^(\d+)\s+(\S+)\s+/) {
	    $tutname{$2}="";
	    $id2tut{$1}=$2;
	}
    }
    close(TUTFILE);
}


foreach $key (keys (%tutname)) {
    print  "mkdir -p $targetdir/$key\n";
}

foreach $key (keys (%id2tut)) {
    $tut=$id2tut{$key};
    $name=$id2name{$key};
    print "cd $targetdir/$tut\
if test \$\? -eq 0\
then\
  ln -s ../../$sourcedir/$key$name .\
  cd ../..\
fi\
";
}

$tut="not_in_tuts";
print  "\nmkdir -p $targetdir/$tut\n";
foreach $key (keys (%id2name)) {
    if(!defined($id2tut{$key})) {
	$name=$id2name{$key};
	print "cd $targetdir/$tut\
if test \$\? -eq 0\
then\
  ln -s ../../$sourcedir/$key$name .\
  cd ../..\
fi\
";
    }
}
