#!/bin/sh

# purpose: search submitted zip files via a list of keywords in
#          regular expression format,
#          but NOT following symbolic links
# output:  display the zip filenames containing files that contains
#          ALL of such keywords
# author:  Zhuhan Jiang
# proceure:
# 1. go to the root of a submission directory tree
# 2. sh multiple-search.sh keyword1 keyword2 ...
#

multiple_egrep=${HOME}/Homepage/tools/searchSubmissions/multiple-egrep.sh ;
find . \( -name "*.zip" -o -name "*ZIP" \) -exec $multiple_egrep \{\} "$@" \;
