#!/usr/bin/perl

# usage e.g.: bulletin_vuws2scm.pl?unitshortname=VNS
# <form method=post action=bulletin_vuws2scm.pl?unitshortname=VNS>
# <textarea name=stuff cols=1 row=1 style="visibility:hidden;">
#   ... bulletin text
# </textarea>
#
# <input type=submit value='instructor only'
#  title='students please ignore this button \
#         .. temporarily placed here for maintenance only ...'
#  style="visibility:hidden";></form>
#
# <script>
#   document.write(document.bulletin.stuff.value);
# </script>
#
# subdirectory ~/$webdirname/lectures/ must be manually created


##### must configure the next statement #####
%unit2dir=(
  'VNS' => 'vns2011',
  'PF'  => 'pf2011',
  'DDD' => 'ddd2011'
);


do "./_conf-b.rc";
$buffer = $ENV{'QUERY_STRING'};
@nvpairs = split(/&/, $buffer);
foreach $pair (@nvpairs)
{   ($name, $value) = split(/=/, $pair);
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $FORM{$name} = $value;
}

$unitShortName=$FORM{'unitshortname'};
$webdirname=$unit2dir{$unitShortName};
if($webdirname !~ /^\s*$/) {
    $unithomedir="$webhomedir/$webdirname";
} else {
    $unithomedir="$webhomedir";
}
$messagefile="${unithomedir}/lectures/bulletin.html";


sub writeMessage {
my($message)=@_;
  if(open(LOGFILE,">$messagefile")) {
      flock(LOGFILE, 2);
      print LOGFILE "$message";
      flock(LOGFILE, 8);
      close(LOGFILE);
      return 1;
  }
  return 0;
}


$message="";
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
#$buffer = $ENV{'QUERY_STRING'};

@nvpairs = split(/&/, $buffer);
foreach $pair (@nvpairs)
{   ($name, $value) = split(/=/, $pair);
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    #if($name eq "stuff") {
	$message .= $value;
    #}
    # $FORM{$name} = $value;
    # print "$name=$value\n";
}


print "Content-type: text/html\n\n";
if (writeMessage($message)) {
    print "Message transported for $unitShortName.\n";
}
else {
    print "Nothing done.\n";
}
