#!/usr/bin/perl

do "./_login-b.pl";
do "./_istutor-b.pl";

# load main configuration if not already loaded
if(!$CONFIG_LOADED) {
  do "./_conf-b.rc";
}

$loginid=$cgi->cookie(-name=>'loginid');
$unitsShortName=$cgi->cookie(-name=>'unitshortname');

do "./_feedback.rc";

#$loginid=param('loginid');
#$unitShortName=param('unitshortname');

$namelistfile="${baseDirectory}/${unitShortName}_namelist.txt";
$feedbackdir="${feedbackrootdir}";
$basedir="";


sub pickStudentDetail {
my($id,$namelist)=@_;
my($aline,$details);
$details="";
if(open(NAMELIST, "<$namelist")) {
    while(<NAMELIST>) {
	$aline="$_";
	if(/^\s*(\S+)\s+(\S.*)$/) {
	    if($id eq "$1") {
                $details="$2";
		last;
	    }
	}
    }
    close(NAMELIST);
}
return $details;
}

sub listStudents {
my($namelist,$extension)=@_;
my($aline,$id,$details,$subdetails,$fullfilename);
print "<table border=1 rules=all _frame=hsides>\n";
if(open(NAMELIST, "<$namelist")) {
    while(<NAMELIST>) {
	$aline="$_";
	if($aline=~/^\s*\#/) {
	    print "<tr><td bgcolor=#c0e0e0 colspan=3>$aline</td></tr>\n";
	    next;
	}
	if($aline=~/^\s*(\S+)\s+(\S.*)$/ || $aline=~/^\s*(\S+)/) {
	    print "<tr><td width=100 valign=top>$1</td>\n";
	    $id="$1";
	    $details="$2";
	    $details=~ s/\s+/ /g;
	    $subdetails=substr($details,0,40);
	    if(length($subdetails) < length($details)) {
		$subdetails .=" ...";
	    }
	    print "<td align=center width=25 bgcolor=#80e0e0><a href='$cgiscriptsite/${editfile_fb}?item=${item}&",
           "file=${basedir}${id}${extension}'", " title='edit file'>";

	    $fullfilename="${basedir}${id}${extension}";
	    if($fullfilename!~ /^\//) {
		$fullfilename="${feedbackdir}/${fullfilename}";
	    }
	    if(-e "$fullfilename") {
		print "<font color=black>*&nbsp;</font>";
	    } else {
		print "&nbsp; &nbsp;";
	    }

            print "</a></td>";

	    print "<td width=380 valign=top title='edit comments to a student' bgcolor=white style='cursor:pointer' onMouseOver=\"this.bgColor='#60c0c0';\" onMouseOut=\"this.bgColor='#ffffff';\" onclick=\"location='$cgiscriptsite/${editfile_fb}?item=${item}&file=${basedir}${id}${extension}';\">$subdetails &nbsp;</td></tr>\n";

#	    print "<td width=380 valign=top>$subdetails &nbsp;</td></tr>\n";
	}
    }
    close(NAMELIST);
}
print "</table>";
}

print "content-type: text/html\n\n";

print <<EOF_STYLE
<style type="text/css">
a:link {  text-decoration: none; color:0000ff;}
a:active { text-decoration: none; color:3399ff;}
a:visited { text-decoration: none; color:60a0a0;}
//a:hover { text-decoration: none; color:ffd700; color:ff0000;}
a:hover{ background-color:#ff0000; color:white; }
</style>
EOF_STYLE
    ;

$item=$extension=param('item');
if($extension ne "") { $extension ="." . $extension; }
listStudents($namelistfile,$extension);
